/////////////////////////////////////////////////////////////////////////////
//    License (GPLv2+):
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful, but
//    WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "fshed.h"
#include "OptionsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDispPage property page

IMPLEMENT_DYNCREATE(CDispPage, CPropertyPage)

CDispPage::CDispPage() : CPropertyPage(CDispPage::IDD)
{
    //{{AFX_DATA_INIT(CDispPage)
    m_nAnsi = 0;
    m_nFontSize = 0;
    m_nIntel = 0;
    m_nSigned = 0;
    //}}AFX_DATA_INIT
}

CDispPage::~CDispPage()
{
}

void CDispPage::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CDispPage)
    DDX_Radio(pDX, IDC_ANSI_RB, m_nAnsi);
    DDX_Text(pDX, IDC_FONT_SIZE_ED, m_nFontSize);
    DDV_MinMaxInt(pDX, m_nFontSize, 4, 100);
    DDX_Radio(pDX, IDC_INTEL_RB, m_nIntel);
    DDX_Radio(pDX, IDC_SIGNED_RB, m_nSigned);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDispPage, CPropertyPage)
    //{{AFX_MSG_MAP(CDispPage)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDispPage message handlers
/////////////////////////////////////////////////////////////////////////////
// CGenPage property page

IMPLEMENT_DYNCREATE(CGenPage, CPropertyPage)

CGenPage::CGenPage() : CPropertyPage(CGenPage::IDD)
{
    //{{AFX_DATA_INIT(CGenPage)
    m_bAdjustBytes = FALSE;
    m_strIntBrowser = _T("");
    m_nNumBytes = 0;
    m_nOffsetLen = 0;
    m_bSetRead = FALSE;
    m_strTextEditor = _T("");
    //}}AFX_DATA_INIT
}

CGenPage::~CGenPage()
{
}

void CGenPage::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CGenPage)
    DDX_Check(pDX, IDC_ADJ_BYTES_CHK, m_bAdjustBytes);
    DDX_Text(pDX, IDC_BROWSER_ED, m_strIntBrowser);
    DDX_Text(pDX, IDC_NUM_BYTES_ED, m_nNumBytes);
    DDV_MinMaxInt(pDX, m_nNumBytes, 0, 100);
    DDX_Text(pDX, IDC_OFFSET_LEN_ED, m_nOffsetLen);
    DDV_MinMaxInt(pDX, m_nOffsetLen, 1, 9);
    DDX_Check(pDX, IDC_SET_READ_ONLY_CHK, m_bSetRead);
    DDX_Text(pDX, IDC_TEXT_ED, m_strTextEditor);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGenPage, CPropertyPage)
    //{{AFX_MSG_MAP(CGenPage)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGenPage message handlers
